Browse Source

Automatic update [Wed Nov 9 11:33:18 MSK 2011].

tags/1
root 9 years ago
parent
commit
d9d99d08d3
100 changed files with 3122 additions and 1 deletions
  1. +2
    -0
      .gitignore
  2. +0
    -1
      README
  3. +1
    -0
      app-accessibility/SphinxTrain/Manifest
  4. +40
    -0
      app-accessibility/SphinxTrain/SphinxTrain-0.9.1-r1.ebuild
  5. +34
    -0
      app-accessibility/SphinxTrain/files/gcc.patch
  6. +11
    -0
      app-accessibility/SphinxTrain/files/gcc34.patch
  7. +12
    -0
      app-accessibility/SphinxTrain/metadata.xml
  8. +1
    -0
      app-accessibility/accerciser/Manifest
  9. +61
    -0
      app-accessibility/accerciser/accerciser-1.12.1.ebuild
  10. +11
    -0
      app-accessibility/accerciser/metadata.xml
  11. +2
    -0
      app-accessibility/at-spi2-atk/Manifest
  12. +48
    -0
      app-accessibility/at-spi2-atk/at-spi2-atk-2.0.2.ebuild
  13. +51
    -0
      app-accessibility/at-spi2-atk/at-spi2-atk-2.2.1-r1.ebuild
  14. +13
    -0
      app-accessibility/at-spi2-atk/files/at-spi2-atk-2.0.2-disable-teamspaces-test.patch
  15. +66
    -0
      app-accessibility/at-spi2-atk/files/at-spi2-atk-2.2.1-socket_ref_state_set-NULL.patch
  16. +5
    -0
      app-accessibility/at-spi2-atk/metadata.xml
  17. +2
    -0
      app-accessibility/at-spi2-core/Manifest
  18. +47
    -0
      app-accessibility/at-spi2-core/at-spi2-core-2.0.2-r1.ebuild
  19. +45
    -0
      app-accessibility/at-spi2-core/at-spi2-core-2.2.1-r1.ebuild
  20. +88
    -0
      app-accessibility/at-spi2-core/files/at-spi2-core-2.0.2-abort-if-already-running.patch
  21. +13
    -0
      app-accessibility/at-spi2-core/files/at-spi2-core-2.0.2-disable-teamspaces-test.patch
  22. +27
    -0
      app-accessibility/at-spi2-core/files/at-spi2-core-2.2.1-org.a11y.Bus.IsEnabled-property.patch
  23. +9
    -0
      app-accessibility/at-spi2-core/metadata.xml
  24. +1
    -0
      app-accessibility/brltty/Manifest
  25. +146
    -0
      app-accessibility/brltty/brltty-4.2.ebuild
  26. +15
    -0
      app-accessibility/brltty/files/brltty-4.2-fix-a2.patch
  27. +60
    -0
      app-accessibility/brltty/files/brltty-4.2-fix-ldflags.patch
  28. +21
    -0
      app-accessibility/brltty/files/brltty-4.2-fix-ocaml-install.patch
  29. +27
    -0
      app-accessibility/brltty/files/brltty-4.2-fix-svnversion.patch
  30. +13
    -0
      app-accessibility/brltty/files/brltty-4.2-glibc-212.patch
  31. +23
    -0
      app-accessibility/brltty/files/brltty.rc
  32. +31
    -0
      app-accessibility/brltty/metadata.xml
  33. +1
    -0
      app-accessibility/caribou/Manifest
  34. +86
    -0
      app-accessibility/caribou/caribou-0.4.1.ebuild
  35. +12
    -0
      app-accessibility/caribou/metadata.xml
  36. +1
    -0
      app-accessibility/dasher/Manifest
  37. +73
    -0
      app-accessibility/dasher/dasher-4.11.ebuild
  38. +15
    -0
      app-accessibility/dasher/metadata.xml
  39. +1
    -0
      app-accessibility/edbrowse/Manifest
  40. +61
    -0
      app-accessibility/edbrowse/edbrowse-3.4.7.ebuild
  41. +13
    -0
      app-accessibility/edbrowse/files/edbrowse-3.4.7-fix-makefile.patch
  42. +9
    -0
      app-accessibility/edbrowse/metadata.xml
  43. +1
    -0
      app-accessibility/eflite/Manifest
  44. +45
    -0
      app-accessibility/eflite/eflite-0.4.1.ebuild
  45. +29
    -0
      app-accessibility/eflite/files/eflite.rc
  46. +11
    -0
      app-accessibility/eflite/files/es.conf
  47. +24
    -0
      app-accessibility/eflite/metadata.xml
  48. +1
    -0
      app-accessibility/emacspeak-ss/Manifest
  49. +36
    -0
      app-accessibility/emacspeak-ss/emacspeak-ss-1.9.1.ebuild
  50. +24
    -0
      app-accessibility/emacspeak-ss/files/gentoo-apollo-fix.patch
  51. +20
    -0
      app-accessibility/emacspeak-ss/metadata.xml
  52. +4
    -0
      app-accessibility/emacspeak/Manifest
  53. +40
    -0
      app-accessibility/emacspeak/emacspeak-30.0.ebuild
  54. +43
    -0
      app-accessibility/emacspeak/emacspeak-31.0.ebuild
  55. +48
    -0
      app-accessibility/emacspeak/emacspeak-33.0.ebuild
  56. +55
    -0
      app-accessibility/emacspeak/emacspeak-9999.ebuild
  57. +11
    -0
      app-accessibility/emacspeak/files/emacspeak-33.0-greader-garbage.patch
  58. +57
    -0
      app-accessibility/emacspeak/files/emacspeak-33.0-respect-ldflags.patch
  59. +20
    -0
      app-accessibility/emacspeak/metadata.xml
  60. +1
    -0
      app-accessibility/epos/Manifest
  61. +43
    -0
      app-accessibility/epos/epos-2.5.37-r1.ebuild
  62. +2
    -0
      app-accessibility/epos/files/README.gentoo
  63. +23
    -0
      app-accessibility/epos/files/epos-2.5.37-gcc43.patch
  64. +15
    -0
      app-accessibility/epos/files/epos-2.5.37-gcc45.patch
  65. +21
    -0
      app-accessibility/epos/files/eposd
  66. +6
    -0
      app-accessibility/epos/metadata.xml
  67. +3
    -0
      app-accessibility/espeak/Manifest
  68. +79
    -0
      app-accessibility/espeak/espeak-1.42.04.ebuild
  69. +72
    -0
      app-accessibility/espeak/espeak-1.45.03.ebuild
  70. +72
    -0
      app-accessibility/espeak/espeak-1.45.04.ebuild
  71. +8
    -0
      app-accessibility/espeak/metadata.xml
  72. +1
    -0
      app-accessibility/espeakup/Manifest
  73. +54
    -0
      app-accessibility/espeakup/espeakup-0.71.ebuild
  74. +60
    -0
      app-accessibility/espeakup/espeakup-9999.ebuild
  75. +9
    -0
      app-accessibility/espeakup/files/espeakup.confd
  76. +28
    -0
      app-accessibility/espeakup/files/espeakup.rc
  77. +12
    -0
      app-accessibility/espeakup/metadata.xml
  78. +3
    -0
      app-accessibility/festival-fi/Manifest
  79. +47
    -0
      app-accessibility/festival-fi/festival-fi-20041119.ebuild
  80. +18
    -0
      app-accessibility/festival-fi/files/festival-fi-20041119_lavennin_path.patch
  81. +9
    -0
      app-accessibility/festival-fi/metadata.xml
  82. +2
    -0
      app-accessibility/festival-freebsoft-utils/Manifest
  83. +32
    -0
      app-accessibility/festival-freebsoft-utils/festival-freebsoft-utils-0.10.ebuild
  84. +24
    -0
      app-accessibility/festival-freebsoft-utils/festival-freebsoft-utils-0.2.ebuild
  85. +8
    -0
      app-accessibility/festival-freebsoft-utils/metadata.xml
  86. +6
    -0
      app-accessibility/festival-hts/Manifest
  87. +28
    -0
      app-accessibility/festival-hts/festival-hts-2.1.ebuild
  88. +9
    -0
      app-accessibility/festival-hts/metadata.xml
  89. +1
    -0
      app-accessibility/festival-it/Manifest
  90. +82
    -0
      app-accessibility/festival-it/festival-it-1.0-r1.ebuild
  91. +12
    -0
      app-accessibility/festival-it/metadata.xml
  92. +1
    -0
      app-accessibility/festival-ru/Manifest
  93. +35
    -0
      app-accessibility/festival-ru/festival-ru-0.5.ebuild
  94. +9
    -0
      app-accessibility/festival-ru/metadata.xml
  95. +21
    -0
      app-accessibility/festival/Manifest
  96. +166
    -0
      app-accessibility/festival/festival-1.96_beta-r1.ebuild
  97. +162
    -0
      app-accessibility/festival/festival-1.96_beta.ebuild
  98. +135
    -0
      app-accessibility/festival/festival-2.0.95_beta.ebuild
  99. +124
    -0
      app-accessibility/festival/festival-2.1.ebuild
  100. +12
    -0
      app-accessibility/festival/files/festival-1.96_beta-gcc43.patch

+ 2
- 0
.gitignore View File

@@ -0,0 +1,2 @@
distfiles/*
packages/*

+ 0
- 1
README View File

@@ -1 +0,0 @@
Type "git checkout stable" to begin.

+ 1
- 0
app-accessibility/SphinxTrain/Manifest View File

@@ -0,0 +1 @@
DIST SphinxTrain-0.9.1-beta.tar.gz 469617 RMD160 ff11c88a5eae3b735c8269207617b07e6cd26ddb SHA1 50aee098c8a6c73ec2c3c3cb4d24c0ee4cf63c50 SHA256 c1a4b74a3e26777b80ddd7a026547aad194040cca8595e6fe1be320a19f99d18

+ 40
- 0
app-accessibility/SphinxTrain/SphinxTrain-0.9.1-r1.ebuild View File

@@ -0,0 +1,40 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/SphinxTrain/SphinxTrain-0.9.1-r1.ebuild,v 1.16 2010/04/29 11:07:29 flameeyes Exp $

EAPI="2"

inherit eutils

DESCRIPTION="Speech Recognition (Training Module)"
HOMEPAGE="http://cmusphinx.sourceforge.net/html/cmusphinx.php"
SRC_URI="http://www.speech.cs.cmu.edu/${PN}/${P}-beta.tar.gz"

LICENSE="BSD as-is"
SLOT="0"
KEYWORDS="x86 ppc"
IUSE=""

DEPEND="app-accessibility/sphinx2
app-accessibility/festival"
RDEPEND="${DEPEND}"

S=${WORKDIR}/${PN}

src_prepare() {
epatch "${FILESDIR}"/gcc.patch
epatch "${FILESDIR}"/gcc34.patch
}

src_install() {
# dobin bin.*/* fails ... see bug #73586
find bin.* -mindepth 1 -maxdepth 1 -type f -exec dobin '{}' \; || die

dodoc README etc/*cfg
dohtml doc/*{txt,html,sgml}
}

pkg_postinst() {
elog "Detailed usage and training instructions can be found at"
elog "http://www.speech.cs.cmu.edu/SphinxTrain/"
}

+ 34
- 0
app-accessibility/SphinxTrain/files/gcc.patch View File

@@ -0,0 +1,34 @@
--- src/programs/count_3phone/wrec.h.orig 2003-09-28 18:51:49.000000000 +0900
+++ src/programs/count_3phone/wrec.h 2003-09-28 18:52:23.000000000 +0900
@@ -44,7 +44,7 @@
#define WREC_H
#include "phrec.h"
-#include <varargs.h>
+#include <stdarg.h>
int quit (int status, char *fmt, ...);

--- src/programs/count_3phone/quit.c.orig 2003-09-28 19:12:56.000000000 +0900
+++ src/programs/count_3phone/quit.c 2003-09-28 19:13:12.000000000 +0900
@@ -74,17 +74,14 @@
#include <stdio.h>
#include <stdlib.h>
-#include <varargs.h>
+#include <stdarg.h>
-int quit (status,fmt,va_alist)
- int status;
- char *fmt;
- va_dcl
+int quit (int status,char *fmt,...)
{
va_list args;
fflush(stdout);
- va_start(args);
+ va_start(args, fmt);
(void) vfprintf(stderr, fmt, args);
va_end(args);
exit(status);

+ 11
- 0
app-accessibility/SphinxTrain/files/gcc34.patch View File

@@ -0,0 +1,11 @@
--- SphinxTrain/src/programs/count_3phone/phone_word_io.c~ 2001-04-05 16:00:33.000000000 -0400
+++ SphinxTrain/src/programs/count_3phone/phone_word_io.c 2005-05-01 12:48:42.000000000 -0400
@@ -71,7 +71,7 @@
#ifdef __alpha
void *malloc();
#else
-char *malloc();
+//char *malloc();
#endif
extern int Num_Phones, Num_Words;

+ 12
- 0
app-accessibility/SphinxTrain/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>accessibility</herd>
<herd>sound</herd>
<longdescription lang="en">
SphinxTrain is CMU Sphinx's training package.
</longdescription>
<longdescription lang="ja">
SphinxTrainはCMU Sphinxの調教パッケージです。
</longdescription>
</pkgmetadata>

+ 1
- 0
app-accessibility/accerciser/Manifest View File

@@ -0,0 +1 @@
DIST accerciser-1.12.1.tar.bz2 1554921 RMD160 e6591b4101e048c3641ded7ac2d054ef33fe2922 SHA1 c0d5389bda941e62aa434dcdf42264e4ca1dadf9 SHA256 addbc940a05c0dacb6131c8e0b136c14eab73c57bfe50c110cef4d3723d07807

+ 61
- 0
app-accessibility/accerciser/accerciser-1.12.1.ebuild View File

@@ -0,0 +1,61 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/accerciser/accerciser-1.12.1.ebuild,v 1.6 2011/08/19 11:21:53 nirbheek Exp $

EAPI="3"
GCONF_DEBUG="no"
PYTHON_DEPEND="2:2.4"

inherit gnome2 python

DESCRIPTION="Interactive Python accessibility explorer"
HOMEPAGE="http://live.gnome.org/Accerciser"

LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE=""

RDEPEND="dev-python/ipython
dev-python/pygtk:2
dev-python/pygobject:2
dev-python/pycairo
dev-python/libgnome-python
dev-python/libwnck-python
dev-python/pygtksourceview
dev-python/gconf-python
dev-python/librsvg-python
>=gnome-extra/at-spi-1.7:1
dev-libs/glib:2"
DEPEND="${RDEPEND}
sys-devel/gettext
>=dev-util/intltool-0.35
app-text/scrollkeeper
>=app-text/gnome-doc-utils-0.12"

pkg_setup() {
G2CONF="${G2CONF} --without-pyreqs"
DOCS="AUTHORS COPYING ChangeLog NEWS README"
python_set_active_version 2
}

src_prepare() {
gnome2_src_prepare

# disable pyc compiling
mv "${S}"/py-compile "${S}"/py-compile.orig
ln -s $(type -P true) "${S}"/py-compile

python_convert_shebangs -r 2 .
}

pkg_postinst() {
gnome2_pkg_postinst
python_need_rebuild
python_mod_optimize "${PN}"
}

pkg_postrm() {
gnome2_pkg_postrm
python_mod_cleanup "${PN}"
}

+ 11
- 0
app-accessibility/accerciser/metadata.xml View File

@@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>gnome-accessibility</herd>
<longdescription lang="en">
Accerciser is an interactive Python accessibility explorer for the GNOME desktop. It uses AT-SPI to inspect and control widgets, allowing you to check if an application is providing correct information to assistive technologies and automated test frameworks. Accerciser has a simple plugin framework which you can use to create custom views of accessibility information.

In essence, Accerciser is a next generation at-poke tool.
</longdescription>
</pkgmetadata>


+ 2
- 0
app-accessibility/at-spi2-atk/Manifest View File

@@ -0,0 +1,2 @@
DIST at-spi2-atk-2.0.2.tar.bz2 356867 RMD160 83be950352a8aa2754d2f6878cd702bd0d26f926 SHA1 f90e4708317d24b3a538cb452cc567b413a9c108 SHA256 4b958d3701afd0c8f83ecf297750032f06a07491007d85173997ce7371688725
DIST at-spi2-atk-2.2.1.tar.xz 288636 RMD160 1c2212df1904a54fd01d5913bc2ca461b2aa37d7 SHA1 061579ed37bed065dbe70f20e6b428ccca4bf194 SHA256 6677def34b16c9a28d6ad96473ea56a3c0e13aa968e584df004cd44c8691ea1a

+ 48
- 0
app-accessibility/at-spi2-atk/at-spi2-atk-2.0.2.ebuild View File

@@ -0,0 +1,48 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/at-spi2-atk/at-spi2-atk-2.0.2.ebuild,v 1.1 2011/08/14 14:15:31 nirbheek Exp $

EAPI="3"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"

inherit eutils gnome2

DESCRIPTION="Gtk module for bridging AT-SPI to Atk"
HOMEPAGE="http://live.gnome.org/Accessibility"

LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="~amd64 ~x86"
IUSE=""

COMMON_DEPEND="
>=app-accessibility/at-spi2-core-1.91.92
>=dev-libs/atk-1.29.3
dev-libs/glib:2
>=sys-apps/dbus-1
x11-libs/libX11
"
RDEPEND="${COMMON_DEPEND}
!<gnome-extra/at-spi-1.32.0-r1
"
DEPEND="${COMMON_DEPEND}
dev-util/pkgconfig
>=dev-util/intltool-0.40
"

pkg_setup() {
DOCS="AUTHORS NEWS README"
# xevie is deprecated/broken since xorg-1.6/1.7
G2CONF="${G2CONF} --enable-p2p"
}

src_prepare() {
# disable teamspaces test since that requires Novell.ICEDesktop.Daemon
epatch "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
# FIXME: droute test fails
sed -e 's:TESTS = droute-test\.*:TESTS = :' -i droute/Makefile.* ||
die "sed droute/Makefile.* failed"

gnome2_src_prepare
}

+ 51
- 0
app-accessibility/at-spi2-atk/at-spi2-atk-2.2.1-r1.ebuild View File

@@ -0,0 +1,51 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/at-spi2-atk/at-spi2-atk-2.2.1-r1.ebuild,v 1.1 2011/11/05 04:51:01 tetromino Exp $

EAPI="4"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"

inherit eutils gnome2

DESCRIPTION="Gtk module for bridging AT-SPI to Atk"
HOMEPAGE="http://live.gnome.org/Accessibility"

LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="~amd64 ~x86"
IUSE=""

COMMON_DEPEND="
>=app-accessibility/at-spi2-core-2.1.4
>=dev-libs/atk-2.1.0
dev-libs/glib:2
>=sys-apps/dbus-1
x11-libs/libX11
"
RDEPEND="${COMMON_DEPEND}
!<gnome-extra/at-spi-1.32.0-r1
"
DEPEND="${COMMON_DEPEND}
dev-util/pkgconfig
>=dev-util/intltool-0.40
"

pkg_setup() {
DOCS="AUTHORS NEWS README"
# xevie is deprecated/broken since xorg-1.6/1.7
G2CONF="${G2CONF} --enable-p2p"
}

src_prepare() {
# disable teamspaces test since that requires Novell.ICEDesktop.Daemon
epatch "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
# Upstream patch, will be in next release
epatch "${FILESDIR}/${P}-socket_ref_state_set-NULL.patch"

# FIXME: droute test fails
sed -e 's:TESTS = droute-test\.*:TESTS = :' -i droute/Makefile.* ||
die "sed droute/Makefile.* failed"

gnome2_src_prepare
}

+ 13
- 0
app-accessibility/at-spi2-atk/files/at-spi2-atk-2.0.2-disable-teamspaces-test.patch View File

@@ -0,0 +1,13 @@
diff --git a/dbind/dbtest.c b/dbind/dbtest.c
index d00486a..553dd78 100644
--- a/dbind/dbtest.c
+++ b/dbind/dbtest.c
@@ -397,7 +397,7 @@ int main (int argc, char **argv)
test_helpers ();
test_marshalling ();
- test_teamspaces (bus);
+ /* test_teamspaces (bus); */
return 0;
}

+ 66
- 0
app-accessibility/at-spi2-atk/files/at-spi2-atk-2.2.1-socket_ref_state_set-NULL.patch View File

@@ -0,0 +1,66 @@
From 18d98d35c452678efc2bf09f38fb2d0594641613 Mon Sep 17 00:00:00 2001
From: Mario Sanchez Prada <msanchez@igalia.com>
Date: Fri, 28 Oct 2011 20:30:42 +0200
Subject: [PATCH] Socket's implementation of ref_state_set to return empty
sets instead of NULL

Calls to atk_object_ref_state_set() are expected to return a valid
state set always, so it would be better if this implementation of
socket's ref_state_set() returned empty sets instead of just NULL, to
avoid calling to atk_state_set_*() functions over invalid instances of
AtkStateSet (e.g. add_pending_items() in accessible-cache.c).

https://bugs.freedesktop.org/show_bug.cgi?id=42350
---
atk-adaptor/bridge.c | 16 ++++++++--------
1 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/atk-adaptor/bridge.c b/atk-adaptor/bridge.c
index d049731..a1ee202 100644
--- a/atk-adaptor/bridge.c
+++ b/atk-adaptor/bridge.c
@@ -334,17 +334,19 @@ socket_ref_state_set (AtkObject *accessible)
DBusMessageIter iter, iter_array;
AtkStateSet *set;
+ set = atk_state_set_new ();
+
if (!socket->embedded_plug_id)
- return NULL;
+ return set;
child_name = g_strdup (socket->embedded_plug_id);
if (!child_name)
- return NULL;
+ return set;
child_path = g_utf8_strchr (child_name + 1, -1, ':');
if (!child_path)
{
g_free (child_name);
- return NULL;
+ return set;
}
*(child_path++) = '\0';
message = dbus_message_new_method_call (child_name, child_path, ATSPI_DBUS_INTERFACE_ACCESSIBLE, "GetState");
@@ -352,15 +354,13 @@ socket_ref_state_set (AtkObject *accessible)
reply = dbus_connection_send_with_reply_and_block (spi_global_app_data->bus, message, 1, NULL);
dbus_message_unref (message);
if (reply == NULL)
- return NULL;
+ return set;
if (strcmp (dbus_message_get_signature (reply), "au") != 0)
{
dbus_message_unref (reply);
- return NULL;
+ return set;
}
- set = atk_state_set_new ();
- if (!set)
- return NULL;
+
dbus_message_iter_init (reply, &iter);
dbus_message_iter_recurse (&iter, &iter_array);
do
--
1.7.7.2


+ 5
- 0
app-accessibility/at-spi2-atk/metadata.xml View File

@@ -0,0 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>gnome-accessibility</herd>
</pkgmetadata>

+ 2
- 0
app-accessibility/at-spi2-core/Manifest View File

@@ -0,0 +1,2 @@
DIST at-spi2-core-2.0.2.tar.bz2 503654 RMD160 97eea48189b980c3b9532736d4f3b62513dae8d4 SHA1 001bbbc959a10981ade25a4db0b076b9e7e7000b SHA256 15e13433d1923c96139c109568295313de636a83dbb3700c8467fcb9c5e4e6ce
DIST at-spi2-core-2.2.1.tar.xz 430856 RMD160 9812e9b69776d97cb900f0da563c9e1e174d4af2 SHA1 c7569c9e25e0259be73449eb7ba0f2de135b4f12 SHA256 2a4129420decca3657e163a4dbb1a3cb28acafe32ea1292417fdd81084d48fac

+ 47
- 0
app-accessibility/at-spi2-core/at-spi2-core-2.0.2-r1.ebuild View File

@@ -0,0 +1,47 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/at-spi2-core/at-spi2-core-2.0.2-r1.ebuild,v 1.1 2011/08/14 14:16:52 nirbheek Exp $

EAPI="3"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"

inherit eutils gnome2

DESCRIPTION="D-Bus accessibility specifications and registration daemon"
HOMEPAGE="http://live.gnome.org/Accessibility"

LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="~amd64 ~x86"
IUSE="doc +introspection"

RDEPEND="
>=dev-libs/glib-2.28:2
>=sys-apps/dbus-1
x11-libs/libX11
x11-libs/libXi
x11-libs/libXtst
introspection? ( >=dev-libs/gobject-introspection-0.9.6 )
"
DEPEND="${RDEPEND}
>=dev-util/intltool-0.40
doc? ( >=dev-util/gtk-doc-1.9 )
"

pkg_setup() {
DOCS="AUTHORS ChangeLog NEWS README"
# xevie is deprecated/broken since xorg-1.6/1.7
G2CONF="${G2CONF} --disable-xevie"
}

src_prepare() {
# disable teamspaces test since that requires Novell.ICEDesktop.Daemon
epatch "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"

# https://bugzilla.gnome.org/show_bug.cgi?id=652215
# Fixed in upstream git master branch, but not in gnome-3-0 branch
epatch "${FILESDIR}/${PN}-2.0.2-abort-if-already-running.patch"

gnome2_src_prepare
}

+ 45
- 0
app-accessibility/at-spi2-core/at-spi2-core-2.2.1-r1.ebuild View File

@@ -0,0 +1,45 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/at-spi2-core/at-spi2-core-2.2.1-r1.ebuild,v 1.1 2011/11/05 04:50:26 tetromino Exp $

EAPI="4"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"

inherit eutils gnome2

DESCRIPTION="D-Bus accessibility specifications and registration daemon"
HOMEPAGE="http://live.gnome.org/Accessibility"

LICENSE="LGPL-2"
SLOT="2"
KEYWORDS="~amd64 ~x86"
IUSE="doc +introspection"

RDEPEND="
>=dev-libs/glib-2.28:2
>=sys-apps/dbus-1
x11-libs/libX11
x11-libs/libXi
x11-libs/libXtst
introspection? ( >=dev-libs/gobject-introspection-0.9.6 )
"
DEPEND="${RDEPEND}
>=dev-util/intltool-0.40
doc? ( >=dev-util/gtk-doc-1.9 )
"

pkg_setup() {
DOCS="AUTHORS ChangeLog NEWS README"
# xevie is deprecated/broken since xorg-1.6/1.7
G2CONF="${G2CONF} --disable-xevie"
}

src_prepare() {
# disable teamspaces test since that requires Novell.ICEDesktop.Daemon
epatch "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
# Upstream patch to fix org.a11y.Bus.IsEnabled, will be in next release
epatch "${FILESDIR}/${P}-org.a11y.Bus.IsEnabled-property.patch"

gnome2_src_prepare
}

+ 88
- 0
app-accessibility/at-spi2-core/files/at-spi2-core-2.0.2-abort-if-already-running.patch View File

@@ -0,0 +1,88 @@
From 72b5b5733841657af00f31370d26bdfd5a0b60b7 Mon Sep 17 00:00:00 2001
From: Mike Gorse <mgorse@novell.com>
Date: Thu, 09 Jun 2011 16:50:58 +0000
Subject: Make the bus launcher abort if an instance is already running

Upon starting up, at-spi-bus-launcher now looks for an X property with
the bus address and tries to connect to it, aborting if successful.
This fixes a bug where, if the launcher was run twice (perhaps by both
an autostart script and a request for the bus address), the second
instance would start its main loop, eventually abort, and delete the X
property, which would cause a new X property to be created later,
overriding the old one, if a different user requested the address,
leading to a11y breakage.
---
diff --git a/bus/at-spi-bus-launcher.c b/bus/at-spi-bus-launcher.c
index 9300979..dcc35e4 100644
--- a/bus/at-spi-bus-launcher.c
+++ b/bus/at-spi-bus-launcher.c
@@ -27,6 +27,7 @@
#include <signal.h>
#include <sys/wait.h>
#include <errno.h>
+#include <stdio.h>
#include <gio/gio.h>
#include <X11/Xlib.h>
@@ -349,6 +350,49 @@ is_a11y_using_corba (void)
return result;
}
+static gboolean
+already_running ()
+{
+ Atom AT_SPI_BUS;
+ Atom actual_type;
+ Display *bridge_display;
+ int actual_format;
+ unsigned char *data = NULL;
+ unsigned long nitems;
+ unsigned long leftover;
+ gboolean result = FALSE;
+
+ bridge_display = XOpenDisplay (NULL);
+ if (!bridge_display)
+ return FALSE;
+
+ AT_SPI_BUS = XInternAtom (bridge_display, "AT_SPI_BUS", False);
+ XGetWindowProperty (bridge_display,
+ XDefaultRootWindow (bridge_display),
+ AT_SPI_BUS, 0L,
+ (long) BUFSIZ, False,
+ (Atom) 31, &actual_type, &actual_format,
+ &nitems, &leftover, &data);
+
+ if (data)
+ {
+ GDBusConnection *bus;
+ GError *error = NULL;
+ const gchar *old_session = g_getenv ("DBUS_SESSION_BUS_ADDRESS");
+ /* TODO: Is there a better way to connect? This is really hacky */
+ g_setenv ("DBUS_SESSION_BUS_ADDRESS", data, TRUE);
+ bus = g_bus_get_sync (G_BUS_TYPE_SESSION, NULL, &error);
+ g_setenv ("DBUS_SESSION_BUS_ADDRESS", old_session, TRUE);
+ if (bus != NULL)
+ result = TRUE;
+ g_object_unref (bus);
+ }
+
+ XCloseDisplay (bridge_display);
+ return result;
+}
+
+
int
main (int argc,
char **argv)
@@ -363,6 +407,9 @@ main (int argc,
if (is_a11y_using_corba ())
return 0;
+ if (already_running ())
+ return 0;
+
_global_app = g_slice_new0 (A11yBusLauncher);
_global_app->loop = g_main_loop_new (NULL, FALSE);
_global_app->launch_immediately = (argc == 2 && strcmp (argv[1], "--launch-immediately") == 0);
--
cgit v0.9

+ 13
- 0
app-accessibility/at-spi2-core/files/at-spi2-core-2.0.2-disable-teamspaces-test.patch View File

@@ -0,0 +1,13 @@
diff --git a/dbind/dbtest.c b/dbind/dbtest.c
index e8bbb63..9843c3d 100644
--- a/dbind/dbtest.c
+++ b/dbind/dbtest.c
@@ -417,7 +417,7 @@ int main (int argc, char **argv)
test_helpers ();
test_marshalling ();
- test_teamspaces (bus);
+ /* test_teamspaces (bus); */
return 0;
}

+ 27
- 0
app-accessibility/at-spi2-core/files/at-spi2-core-2.2.1-org.a11y.Bus.IsEnabled-property.patch View File

@@ -0,0 +1,27 @@
From 166209e13b1eae0b6b239c868ae532702032831f Mon Sep 17 00:00:00 2001
From: Mike Gorse <mgorse@novell.com>
Date: Fri, 21 Oct 2011 14:25:30 -0500
Subject: [PATCH] Fix return type of org.a11y.Bus.IsEnabled property

org.a11y.Bus.Enabled was returning a variant struct with a bool, where
it should directly be returning a bool in the variant.
---
bus/at-spi-bus-launcher.c | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/bus/at-spi-bus-launcher.c b/bus/at-spi-bus-launcher.c
index 3133a39..290ccbd 100644
--- a/bus/at-spi-bus-launcher.c
+++ b/bus/at-spi-bus-launcher.c
@@ -247,7 +247,7 @@ handle_get_property (GDBusConnection *connection,
if (g_strcmp0 (property_name, "IsEnabled") == 0)
{
- return g_variant_new ("(b)", app->a11y_enabled);
+ return g_variant_new ("b", app->a11y_enabled);
}
else
return NULL;
--
1.7.7.2


+ 9
- 0
app-accessibility/at-spi2-core/metadata.xml View File

@@ -0,0 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>gnome-accessibility</herd>
<use>
<flag name="introspection">Use <pkg>dev-libs/gobject-introspection</pkg>
for introspection</flag>
</use>
</pkgmetadata>

+ 1
- 0
app-accessibility/brltty/Manifest View File

@@ -0,0 +1 @@
DIST brltty-4.2.tar.gz 2234191 RMD160 f099f92c8e44f1cedf20a70e8b874796bae9daab SHA1 d25802d08599b75841e7bb2f29bc88737f2992d2 SHA256 fc2b1a96255afc26ac43cadd3f730fabb73d0b1d991ffefd4c2214c5e20a8aa2

+ 146
- 0
app-accessibility/brltty/brltty-4.2.ebuild View File

@@ -0,0 +1,146 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/brltty/brltty-4.2.ebuild,v 1.16 2011/05/12 16:49:35 jer Exp $

EAPI="4"
FINDLIB_USE="ocaml"

inherit findlib eutils multilib toolchain-funcs java-pkg-opt-2 flag-o-matic \
autotools

DESCRIPTION="Daemon that provides access to the Linux/Unix console for a blind person"
HOMEPAGE="http://mielke.cc/brltty/"
SRC_URI="http://mielke.cc/brltty/releases/${P}.tar.gz"

LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 x86"
IUSE="+api +beeper bluetooth +contracted-braille doc +fm gpm iconv icu
java +learn-mode +midi nls ocaml +pcm python usb +speech
tcl X"
REQUIRED_USE="doc? ( api )
java? ( api )
ocaml? ( api )
python? ( api )
tcl? ( api )"

COMMON_DEP="bluetooth? ( net-wireless/bluez )
gpm? ( >=sys-libs/gpm-1.20 )
iconv? ( virtual/libiconv )
icu? ( dev-libs/icu )
nls? ( virtual/libintl )
python? ( >=dev-python/pyrex-0.9.4.1 )
tcl? ( >=dev-lang/tcl-8.4.15 )
usb? ( virtual/libusb:0 )
X? ( x11-libs/libXaw )"
DEPEND="java? ( >=virtual/jdk-1.4 )
${COMMON_DEP}"
RDEPEND="java? ( >=virtual/jre-1.4 )
${COMMON_DEP}"

src_prepare() {
epatch "${FILESDIR}"/${P}-fix-a2.patch
epatch "${FILESDIR}"/${P}-fix-ldflags.patch
epatch "${FILESDIR}"/${P}-fix-ocaml-install.patch
epatch "${FILESDIR}"/${P}-fix-svnversion.patch
epatch "${FILESDIR}"/${P}-glibc-212.patch

java-pkg-opt-2_src_prepare

# We run eautoconf instead of using eautoreconf because brltty uses
# a custom build system that uses autoconf without the rest of the
# autotools.
eautoconf
}

src_configure() {
# override prefix in order to install into /
# braille terminal needs to be available as soon in the boot process as
# possible
# Also override localstatedir so that the lib/brltty directory is installed
# correctly.
# Disable stripping since we do that ourselves.
econf \
--prefix=/ \
--includedir=/usr/include \
--localstatedir=/var \
--disable-stripping \
--with-install-root="${D}" \
$(use_enable api) \
$(use_enable beeper beeper-support) \
$(use_enable contracted-braille) \
$(use_enable fm fm-support) \
$(use_enable gpm) \
$(use_enable iconv) \
$(use_enable icu) \
$(use_enable java java-bindings) \
$(use_enable learn-mode) \
$(use_enable midi midi-support) \
$(use_enable nls i18n) \
$(use_enable ocaml caml-bindings) \
$(use_enable pcm pcm-support) \
$(use_enable python python-bindings) \
$(use_enable speech speech-support) \
$(use_enable tcl tcl-bindings) \
$(use_enable X x) \
$(use_with bluetooth bluetooth-package) \
$(use_with usb usb-package)
}

src_compile() {
local JAVAC_CONF=""
local OUR_JNI_FLAGS=""
if use java; then
OUR_JNI_FLAGS="$(java-pkg_get-jni-cflags)"
JAVAC_CONF="${JAVAC} -encoding UTF-8 $(java-pkg_javac-args)"
fi

# workaround for parallel build failure, bug #340903.
emake -j1 JAVA_JNI_FLAGS="${OUR_JNI_FLAGS}" JAVAC="${JAVAC_CONF}"
}

src_install() {
if use ocaml; then
findlib_src_preinst
fi

emake OCAML_LDCONF= install

if use java; then
# make install puts the _java.so there, and no it's not $(get_libdir)
rm -rf "${D}/usr/lib/java"
java-pkg_doso Bindings/Java/libbrlapi_java.so
java-pkg_dojar Bindings/Java/brlapi.jar
fi

insinto /etc
doins Documents/brltty.conf
insinto /etc/udev/rules.d
newins Hotplug/udev.rules 70-brltty.rules
newinitd "${FILESDIR}"/brltty.rc brltty

libdir="$(get_libdir)"
mkdir -p "${D}"/usr/${libdir}/
mv "${D}"/${libdir}/*.a "${D}"/usr/${libdir}/
gen_usr_ldscript libbrlapi.so

cd Documents
mv Manual-BRLTTY/English/BRLTTY.txt BRLTTY-en.txt
mv Manual-BRLTTY/French/BRLTTY.txt BRLTTY-fr.txt
mv Manual-BrlAPI/English/BrlAPI.txt BrlAPI-en.txt
dodoc CONTRIBUTORS ChangeLog HISTORY README* TODO BRLTTY-*.txt
dohtml -r Manual-BRLTTY
if use doc; then
dohtml -r Manual-BrlAPI
dodoc BrlAPI-*.txt
fi
}

pkg_postinst() {
elog
elog please be sure "${ROOT}"etc/brltty.conf is correct for your system.
elog
elog To make brltty start on boot, type this command as root:
elog
elog rc-update add brltty boot
}

+ 15
- 0
app-accessibility/brltty/files/brltty-4.2-fix-a2.patch View File

@@ -0,0 +1,15 @@
Index: configure.ac
===================================================================
--- configure.ac (revision 5483)
+++ configure.ac (working copy)
@@ -1455,7 +1455,9 @@
])
BRLTTY_HAVE_PACKAGE([dbus], ["dbus-1 >= 1.0"], [dnl
- BRLTTY_SCREEN_DRIVER([a2], [AtSpi2], [$(DBUS_LIBS)])
+ AC_CHECK_HEADERS([X11/keysym.h], [dnl
+ BRLTTY_SCREEN_DRIVER([a2], [AtSpi2], [$(DBUS_LIBS)])
+ ])
])
BRLTTY_ARG_DRIVER([screen], [Screen])

+ 60
- 0
app-accessibility/brltty/files/brltty-4.2-fix-ldflags.patch View File

@@ -0,0 +1,60 @@
Index: configure.ac
===================================================================
--- configure.ac (revision 5474)
+++ configure.ac (working copy)
@@ -377,7 +377,7 @@
case "${host_os}"
in
linux*|gnu*|openbsd*|freebsd*|kfreebsd*|netbsd*|*qnx*|cygwin*|mingw*|eabi*)
- brltty_mkmod_ld_make="-shared"
+ brltty_mkmod_ld_make="-shared ${LDFLAGS}"
;;
solaris*)
brltty_mkmod_ld_make="-G"
@@ -404,7 +404,7 @@
esac
if test "${GCC}" = "yes"
then
- brltty_cv_prog_mkmod="\$(CC) ${brltty_mkmod_gcc_make=-shared} BRLTTY_OPTIONS_LD2CC([${brltty_mkmod_ld_options}]) -o"
+ brltty_cv_prog_mkmod="\$(CC) ${brltty_mkmod_gcc_make=-shared} ${LDFLAGS} BRLTTY_OPTIONS_LD2CC([${brltty_mkmod_ld_options}]) -o"
else
brltty_cv_prog_mkmod="\$(LD) ${brltty_mkmod_ld_make} ${brltty_mkmod_ld_options} -o"
fi])
@@ -414,7 +414,7 @@
case "${host_os}"
in
linux*|gnu*|openbsd*|freebsd*|kfreebsd*|netbsd*|*qnx*|eabi*)
- brltty_mklib_ld_make="-shared"
+ brltty_mklib_ld_make="-shared ${LDFLAGS}"
brltty_mklib_ld_options="-soname"
;;
solaris*)
@@ -449,7 +449,7 @@
esac
if test "${GCC}" = "yes"
then
- brltty_cv_prog_mklib="\$(CC) ${brltty_mklib_gcc_make=-shared} BRLTTY_OPTIONS_LD2CC([${brltty_mklib_ld_options+${brltty_mklib_ld_options} <name>}]) -o"
+ brltty_cv_prog_mklib="\$(CC) ${brltty_mklib_gcc_make=-shared} ${LDFLAGS} BRLTTY_OPTIONS_LD2CC([${brltty_mklib_ld_options+${brltty_mklib_ld_options} <name>}]) -o"
else
brltty_cv_prog_mklib="\$(LD) ${brltty_mklib_ld_make} ${brltty_mklib_ld_options+${brltty_mklib_ld_options} <name>} -o"
fi])
Index: Bindings/Caml/Makefile.in
===================================================================
--- Bindings/Caml/Makefile.in (revision 5474)
+++ Bindings/Caml/Makefile.in (working copy)
@@ -55,13 +55,13 @@
all : $(OCAML_FILES)
$(OCAML_CLIBS) : brlapi_stubs.$O
- $(OCAMLMKLIB) $(API_LDFLAGS) -oc $(OCAML_LIB)_stubs brlapi_stubs.$O
+ $(OCAMLMKLIB) -ldopt "$(LDFLAGS)" $(API_LDFLAGS) -oc $(OCAML_LIB)_stubs brlapi_stubs.$O
$(OCAML_BCLIB) : $(OCAML_CLIBS) brlapi.cmo
$(OCAMLC) -a $(OCAMLMKLIB_FLAGS) -o $(OCAML_LIB).cma brlapi.cmo
$(OCAML_NCLIB) : $(OCAML_CLIBS) brlapi.cmx
- $(OCAMLMKLIB) $(OCAMLMKLIBOPT_FLAGS) -o $(OCAML_LIB) brlapi.cmx
+ $(OCAMLMKLIB) -ldopt "$(LDFLAGS)" $(OCAMLMKLIBOPT_FLAGS) -o $(OCAML_LIB) brlapi.cmx
brlapi.cmi: brlapi.mli
$(OCAMLC) -o $@ -c brlapi.mli

+ 21
- 0
app-accessibility/brltty/files/brltty-4.2-fix-ocaml-install.patch View File

@@ -0,0 +1,21 @@
Index: Bindings/Caml/Makefile.in
===================================================================
--- Bindings/Caml/Makefile.in (revision 5474)
+++ Bindings/Caml/Makefile.in (working copy)
@@ -31,6 +31,7 @@
OCAMLFIND = @OCAMLFIND@
OCAML_INSTALL_TARGET = @OCAML_INSTALL_TARGET@
OCAML_UNINSTALL_TARGET = @OCAML_UNINSTALL_TARGET@
+OCAML_LDCONF = -ldconf "$(OCAML_DESTDIR)/ld.conf"
OCAML_LIB = $(API_NAME)
OCAML_BCLIB = $(OCAML_LIB).cma
@@ -102,7 +103,7 @@
install-with-findlib:
$(INSTALL_DIRECTORY) $(OCAML_DESTDIR)
$(OCAMLFIND) remove -destdir "$(OCAML_DESTDIR)" $(OCAML_LIB)
- $(OCAMLFIND) install -destdir "$(OCAML_DESTDIR)" -ldconf "$(OCAML_DESTDIR)/ld.conf" $(OCAML_LIB) $(OCAML_FILES)
+ $(OCAMLFIND) install -destdir "$(OCAML_DESTDIR)" $(OCAML_LDCONF) $(OCAML_LIB) $(OCAML_FILES)
uninstall: $(OCAML_UNINSTALL_TARGET)

+ 27
- 0
app-accessibility/brltty/files/brltty-4.2-fix-svnversion.patch View File

@@ -0,0 +1,27 @@
Index: revision
===================================================================
--- revision (revision 5475)
+++ revision (working copy)
@@ -18,15 +18,17 @@
###############################################################################
. "`dirname "${0}"`/prologue.sh"
+set -e
-[ "${#}" -eq 0 ] && syntaxError "missing source root."
+[ "${#}" -gt 0 ] || syntaxError "missing source root"
sourceRoot="${1}"
shift
-[ "${#}" -eq 0 ] || syntaxError "too many parameters."
+[ "${#}" -eq 0 ] || syntaxError "too many parameters"
-set -e
-revision="`svnversion -n "${sourceRoot}"`"
+revision="`svnversion -n "${sourceRoot}" 2>/dev/null`" || semanticError "build revision cannot be determined - subversion not installed"
[ "${revision}" != "exported" ] || revision=""
-[ -z "${revision}" ] || echo "${revision}"
+[ -n "${revision}" ] || semanticError "build revision not known"
+
+echo "${revision}"
exit 0

+ 13
- 0
app-accessibility/brltty/files/brltty-4.2-glibc-212.patch View File

@@ -0,0 +1,13 @@
http://bugs.gentoo.org/339846

--- Programs/sys_linux.c
+++ Programs/sys_linux.c
@@ -22,6 +22,8 @@
#include <string.h>
#include <errno.h>
#include <fcntl.h>
+#include <sys/types.h> /* sys/stat.h */
+#include <sys/stat.h> /* S_ISCHR */
#include <sys/ioctl.h>
#include <linux/kd.h>

+ 23
- 0
app-accessibility/brltty/files/brltty.rc View File

@@ -0,0 +1,23 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/brltty/files/brltty.rc,v 1.4 2009/11/01 18:41:06 eva Exp $

depend() {
if [ -z $svcdir ]; then
before *
fi
after clock
}

start() {
ebegin "Starting brltty"
start-stop-daemon --start --exec /bin/brltty -- -P /var/run/brltty.pid -q
eend $?
}

stop() {
ebegin "Stopping brltty"
start-stop-daemon --stop --pidfile /var/run/brltty.pid
eend $?
}

+ 31
- 0
app-accessibility/brltty/metadata.xml View File

@@ -0,0 +1,31 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>accessibility</herd>
<maintainer>
<email>williamh@gentoo.org</email>
<name>William Hubbs</name>
</maintainer>
<use>
<flag name="api">build brltty's application program interface</flag>
<flag name="beeper">support the console tone generator</flag>
<flag name="contracted-braille">support in-line contracted braille</flag>
<flag name="fm">support for the sound card synthesizer</flag>
<flag name="learn-mode">support for interactive command learn mode</flag>
<flag name="midi">support the musical instrument digital interface</flag>
<flag name="pcm">support for sound card digital audio</flag>
<flag name="speech">speech support</flag>
</use>
<longdescription lang="en">
BRLTTY is a background process (daemon) which provides access to the Linux/Unix
console (when in text mode) for a blind person using a refreshable braille
display. It drives the braille display, and provides complete screen review
functionality. Some speech capability has also been incorporated.
</longdescription>
<longdescription lang="ja">
BRLTTYは、盲人用ブライユ点字ディスプレイのためのLinux/Unixコンソールを制御するバ
ックグラウンド・プロセス(デーモン)です。ブライユ点字ディスプレイを動かし、その多
機能な完全なスクリーン・レビューを提供します。幾つかの台詞読み上げ機能も統合され
ています。
</longdescription>
</pkgmetadata>

+ 1
- 0
app-accessibility/caribou/Manifest View File

@@ -0,0 +1 @@
DIST caribou-0.4.1.tar.xz 361172 RMD160 cf1b5d7db50d7a88f39e56da6e268102ce019b0d SHA1 20bcab1d2ded1ad4e3465453d8cb4f620e895982 SHA256 d4d2328e0eadbf037f7e0ec146e835097fe56cb2b940985655e649c5556e4ed1

+ 86
- 0
app-accessibility/caribou/caribou-0.4.1.ebuild View File

@@ -0,0 +1,86 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/caribou/caribou-0.4.1.ebuild,v 1.1 2011/11/05 04:52:19 tetromino Exp $

EAPI="4"
GCONF_DEBUG="no"
GNOME2_LA_PUNT="yes"
PYTHON_DEPEND="2:2.4"
PYTHON_USE_WITH="xml"

inherit gnome2 python

DESCRIPTION="Input assistive technology intended for switch and pointer users"
HOMEPAGE="https://live.gnome.org/Caribou"

LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

COMMON_DEPEND=">=dev-python/pygobject-2.90.3:3
>=x11-libs/gtk+-3.0.0:3[introspection]
x11-libs/gtk+:2
>=dev-libs/gobject-introspection-0.10.7
dev-libs/libgee:0
dev-libs/libxml2
>=media-libs/clutter-1.5.11:1.0[introspection]
x11-libs/libX11
x11-libs/libxklavier
x11-libs/libXtst"
# gsettings-desktop-schemas is needed for the 'toolkit-accessibility' key
# pyatspi-2.1.90 needed to run caribou if pygobject:3 is installed
# librsvg needed to load svg images in css styles
RDEPEND="${COMMON_DEPEND}
dev-python/dbus-python
>=dev-python/pyatspi-2.1.90
gnome-base/gconf[introspection]
gnome-base/gsettings-desktop-schemas
gnome-base/librsvg:2
sys-apps/dbus"
DEPEND="${COMMON_DEPEND}
dev-libs/libxslt
>=dev-util/intltool-0.35.5
app-text/gnome-doc-utils"

DOCS="AUTHORS ChangeLog NEWS README"

pkg_setup() {
G2CONF="${G2CONF}
--disable-static
--disable-schemas-compile
--enable-gtk3-module
--enable-gtk2-module
VALAC=$(type -P true)"
# vala is not needed for tarball builds, but configure checks for it...
python_set_active_version 2
python_pkg_setup
}

src_prepare() {
# delete custom PYTHONPATH, useless on Gentoo and potential bug source
sed -e '/export PYTHONPATH=.*python/ d' \
-i bin/{antler-keyboard,caribou,caribou-preferences}.in ||
die "sed failed"

# disable pyc compiling
mv py-compile py-compile.orig
ln -s $(type -P true) py-compile

gnome2_src_prepare
}

src_install() {
gnome2_src_install
python_convert_shebangs -r 2 "${ED}"
}

pkg_postinst() {
gnome2_pkg_postinst
python_mod_optimize caribou
}

pkg_postrm() {
gnome2_pkg_postrm
python_mod_cleanup caribou
}

+ 12
- 0
app-accessibility/caribou/metadata.xml View File

@@ -0,0 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>gnome</herd>
<longdescription lang="en">
Caribou is a text entry and UI navigation application being developed as an
alternative to the Gnome On-screen Keyboard. The overarching goal for Caribou
is to create a usable solution for people whose primary way of accessing a
computer is a switch device. The initial goal is to make an in-place on-screen
keyboard suitable for people who can use a mouse but not a hardware keyboard.
</longdescription>
</pkgmetadata>

+ 1
- 0
app-accessibility/dasher/Manifest View File

@@ -0,0 +1 @@
DIST dasher-4.11.tar.bz2 8416734 RMD160 e820fb276d7aa50fb7ee4010e2e763e21767e074 SHA1 9acbbdbd7ad5d86bc310965c97e84b855d9be157 SHA256 fb21cc4ef606e10a8e5deffebe8695a376eabb0766d7d1bdf80abc5f03f4fed2

+ 73
- 0
app-accessibility/dasher/dasher-4.11.ebuild View File

@@ -0,0 +1,73 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/dasher/dasher-4.11.ebuild,v 1.12 2011/08/19 11:23:19 nirbheek Exp $

EAPI="2"

inherit gnome2

DESCRIPTION="A text entry interface, driven by continuous pointing gestures"
HOMEPAGE="http://www.inference.phy.cam.ac.uk/dasher/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 ia64 ppc ppc64 sparc x86"

IUSE="accessibility cairo gnome nls"

# The package claims to support 'qte', but it hasn't been tested.
# Any patches from someone who can test it are welcome.
# <leonardop@gentoo.org>
RDEPEND=">=dev-libs/glib-2.16:2
dev-libs/expat
>=x11-libs/gtk+-2.6:2
>=gnome-base/gconf-2:2
x11-libs/libX11
x11-libs/libXtst
accessibility? (
app-accessibility/gnome-speech
>=gnome-base/libbonobo-2
>=gnome-base/orbit-2
>=gnome-base/libgnomeui-2
gnome-extra/at-spi:1
dev-libs/atk )
cairo? ( >=x11-libs/gtk+-2.8:2 )
gnome? (
>=gnome-base/libgnome-2
>=gnome-base/libgnomeui-2 )"
DEPEND="${RDEPEND}
>=dev-util/pkgconfig-0.9
x11-proto/xextproto
x11-proto/xproto
gnome? (
>=app-text/gnome-doc-utils-0.3.2
app-text/scrollkeeper )
nls? ( >=dev-util/intltool-0.41 )"

DOCS="AUTHORS ChangeLog MAINTAINERS NEWS README"

pkg_setup() {
# we might want to support japanese and chinese input at some point
# --enable-japanese
# --enable-chinese
# --enable-tilt (tilt sensor support)

G2CONF="${G2CONF}
--disable-scrollkeeper
--with-gvfs
$(use_enable accessibility a11y)
$(use_enable accessibility speech)
$(use_with cairo)
$(use_with gnome)
$(use_enable nls)"
}

src_prepare() {
# configure.ac has a typo for AM_GCONF_SOURCE2
# beware if adding src_prepare + eautoreconf
gnome2_src_prepare

# Fix intltoolize broken file, see upstream #577133
sed "s:'\^\$\$lang\$\$':\^\$\$lang\$\$:g" -i po/Makefile.in.in \
|| die "sed 1 failed"
}

+ 15
- 0
app-accessibility/dasher/metadata.xml View File

@@ -0,0 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>gnome-accessibility</herd>
<longdescription lang="en">
Dasher is an information-efficient text-entry interface, driven by
natural continuous pointing gestures. Dasher is a competitive
text-entry system wherever a full-size keyboard cannot be used.
</longdescription>
<longdescription lang="ja">
Dasherは天為と継続的なポインティングカーソルで使う
テキストエントリインタフェースです。Dasherは普通な
キーボードが使えない競争なテキストエントリシステムです。
</longdescription>
</pkgmetadata>

+ 1
- 0
app-accessibility/edbrowse/Manifest View File

@@ -0,0 +1 @@
DIST edbrowse-3.4.7.zip 719586 RMD160 baa0bf1c3cb4320aaee3c2c556bc910ca5502a71 SHA1 57f1dbfa2226e5fa8b715498dcd1f699794dc5b0 SHA256 488d8a02b4480f1474686dfa99058b7f2f36c1d4eb1942ee79471aa8327328fe

+ 61
- 0
app-accessibility/edbrowse/edbrowse-3.4.7.ebuild View File

@@ -0,0 +1,61 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/edbrowse/edbrowse-3.4.7.ebuild,v 1.2 2011/05/16 12:23:15 cbrannon Exp $

EAPI="4"
inherit eutils

DESCRIPTION="editor, browser, and mail client using the /bin/ed interface"
HOMEPAGE="http://the-brannons.com/edbrowse/"
SRC_URI="http://the-brannons.com/${PN}/${P}.zip"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="linguas_fr odbc"
COMMON_DEPEND="dev-lang/spidermonkey
>=sys-libs/readline-6.0
>=net-misc/curl-7.17.0
>=dev-libs/libpcre-7.8
>=dev-libs/openssl-0.9.8j
odbc? ( dev-db/unixODBC )"
DEPEND="${COMMON_DEPEND}
app-arch/unzip"
RDEPEND="${COMMON_DEPEND}"

src_prepare() {
epatch "${FILESDIR}"/${P}-fix-makefile.patch
}

src_compile() {
local JSLIB=-ljs

if has_version ">=dev-lang/spidermonkey-1.9"; then
JSLIB=-lmozjs
fi

emake prefix=/usr JSLIB="${JSLIB}" STRIP=''
if use odbc; then
# Top-level makefile doesn't have this target.
cd src
emake prefix=/usr STRIP='' edbrowseodbc
cd ..
fi
}

src_install() {
cd src
emake prefix=/usr DESTDIR="${D}" install
if use odbc; then
dobin edbrowseodbc
fi
cd ..
dodoc CHANGES README todo
cd doc
dobin setup.ebrc
dohtml usersguide.html philosophy.html
dodoc sample.ebrc
if use linguas_fr; then
dohtml usersguide_fr.html philosophy_fr.html
dodoc sample_fr.ebrc
fi
}

+ 13
- 0
app-accessibility/edbrowse/files/edbrowse-3.4.7-fix-makefile.patch View File

@@ -0,0 +1,13 @@
diff --git a/src/makefile b/src/makefile
index 900c425..af1250e 100644
--- a/src/makefile
+++ b/src/makefile
@@ -59,7 +59,7 @@ edbrowse: $(EBOBJS) tcp.o dbstubs.o
# You probably need to be root to do this.
install:
- install -Dm755 edbrowse $(bindir)/edbrowse
+ install -Dm755 edbrowse $(DESTDIR)$(bindir)/edbrowse
# If you had to build the javascript library yourself,
# link it into /usr/lib.

+ 9
- 0
app-accessibility/edbrowse/metadata.xml View File

@@ -0,0 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>accessibility</herd>
<longdescription>
edbrowse is a line editor, web browser and email client using the /bin/ed
user interface.
</longdescription>
</pkgmetadata>

+ 1
- 0
app-accessibility/eflite/Manifest View File

@@ -0,0 +1 @@
DIST eflite-0.4.1.tar.gz 63192 RMD160 18125ad8fab4dafcac8fb3ccdd489e5a58d31808 SHA1 c56a52b7b49879f2d37ce84e049e984be14de4df SHA256 91ad85855e55a3fc3b97a1a525db5fd1d211d54342bbfc88d1026813104f1721

+ 45
- 0
app-accessibility/eflite/eflite-0.4.1.ebuild View File

@@ -0,0 +1,45 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/eflite/eflite-0.4.1.ebuild,v 1.8 2009/12/26 17:35:13 armin76 Exp $

EAPI="2"

inherit eutils

DESCRIPTION="A speech server that allows emacspeak and other screen readers to interact with festival lite."
HOMEPAGE="http://eflite.sourceforge.net"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc sparc x86"
IUSE="+16k_voice"

DEPEND=">=app-accessibility/flite-1.2"
RDEPEND="${DEPEND}"

src_prepare() {
sed -i 's:/etc/es.conf:/etc/eflite/es.conf:g' *
}

src_configure() {
local myconf
if use 16k_voice; then
myconf='--with-vox=cmu_us_kal16'
fi
econf ${myconf} || die "econf failed."
}

src_install() {
einstall || die
dodoc ChangeLog README INSTALL eflite_test.txt

insinto /etc/eflite
doins "${FILESDIR}"/es.conf

newinitd "${FILESDIR}"/eflite.rc eflite
}

pkg_postinst() {
enewgroup speech
}

+ 29
- 0
app-accessibility/eflite/files/eflite.rc View File

@@ -0,0 +1,29 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/eflite/files/eflite.rc,v 1.7 2009/11/01 18:45:20 eva Exp $

depend() {
use alsasound
use modules
use hotplug
}

start() {
ebegin "Starting eflite"
start-stop-daemon --start --exec /usr/bin/eflite --background \
--quiet --pidfile /var/run/eflite.pid --make-pidfile -- -D || eend 1

SOCKET=`egrep '^sockname=' /etc/eflite/es.conf | sed 's/^sockname=//'`
[ ! -S ${SOCKET} ] && SOCKET=/tmp/es.socket

chown root:speech ${SOCKET}
chmod 660 ${SOCKET}
eend $?
}

stop() {
ebegin "Stopping eflite"
start-stop-daemon --stop --quiet --pidfile /var/run/eflite.pid
eend $?
}

+ 11
- 0
app-accessibility/eflite/files/es.conf View File

@@ -0,0 +1,11 @@
# What socket do we listen on
sockname=/tmp/es.socket

# What volume do we set?
tone_volume=8192

# Do we use the PC Speaker? (0/1)
speaker_tones=0

# Do we use the sound card (via flite)? (0/1)
soundcard_tones=1

+ 24
- 0
app-accessibility/eflite/metadata.xml View File

@@ -0,0 +1,24 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>accessibility</herd>
<herd>sound</herd>
<maintainer>
<email>williamh@gentoo.org</email>
</maintainer>
<use>
<flag name='16k_voice'>Use a higher-quality voice.</flag>
</use>
<longdescription lang="en">
EFlite is a speech server for Emacspeak and other screen readers
that allows them to interface with Festival Lite, a free
text-to-speech engine developed at the CMU Speech Center as an
off-shoot of Festival.
</longdescription>
<longdescription lang="ja">
EFliteはEmacspeakと他のスクリーン読取り装置のスピーチサーバ。この
サーバーで前のプログラムはFestival Lite(CMU Speech Centerで開発した
Festivalのようにスピーチにテキストを変わるエンジン。)と
インタフェスすることが出来る。
</longdescription>
</pkgmetadata>

+ 1
- 0
app-accessibility/emacspeak-ss/Manifest View File

@@ -0,0 +1 @@
DIST emacspeak-ss-1.9.1.tar.gz 49077 RMD160 f7a6fcaaa63ea7e1a2ce8381433a432200af2391 SHA1 e3b4f16884585f548782cbd9f009cf47e990c50e SHA256 67131f9958381fd62be38b9c27b49d77d2d2d5cc4af1106d0dc9d74d2d9cf94e

+ 36
- 0
app-accessibility/emacspeak-ss/emacspeak-ss-1.9.1.ebuild View File

@@ -0,0 +1,36 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/emacspeak-ss/emacspeak-ss-1.9.1.ebuild,v 1.13 2009/11/01 18:47:50 eva Exp $

inherit eutils

DESCRIPTION="adds support for several speech synthesizers to emacspeak"
HOMEPAGE="http://leb.net/blinux/"
SRC_URI="http://leb.net/pub/blinux/emacspeak/blinux/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ppc"
IUSE=""

DEPEND=""
RDEPEND=">=app-accessibility/emacspeak-18"

src_unpack() {
unpack ${A}
epatch "${FILESDIR}"/gentoo-apollo-fix.patch
}

src_compile() {
econf || die "Econf failed"
emake CC=$(tc-getCC) || die "emake failed"
}

src_install() {
make \
prefix="${D}"/usr \
man1dir="${D}"/usr/share/man/man1 \
install || die
dodoc CREDITS ChangeLog OtherSynthesizers TODO
dodoc TROUBLESHOOTING README*
}

+ 24
- 0
app-accessibility/emacspeak-ss/files/gentoo-apollo-fix.patch View File

@@ -0,0 +1,24 @@
diff -Naur emacspeak-ss-1.9.1.old/Makefile.in emacspeak-ss-1.9.1/Makefile.in
--- emacspeak-ss-1.9.1.old/Makefile.in 2000-05-07 18:51:21.000000000 -0500
+++ emacspeak-ss-1.9.1/Makefile.in 2004-04-22 18:43:20.635283200 -0500
@@ -3,7 +3,7 @@
man1dir=@mandir@/man1
exec_prefix = @exec_prefix@
bindir=$(prefix)/share/emacs/site-lisp/emacspeak/
-libdir=$(prefix)/lib/emacs/common/emacspeak/
+libdir=$(prefix)/lib/emacspeak-ss
INSTALL=@INSTALL@
VERSION=@VERSION@
diff -Naur emacspeak-ss-1.9.1.old/apollo.in emacspeak-ss-1.9.1/apollo.in
--- emacspeak-ss-1.9.1.old/apollo.in 2000-05-07 18:27:31.000000000 -0500
+++ emacspeak-ss-1.9.1/apollo.in 2004-04-22 18:35:09.255401085 -0500
@@ -101,7 +101,7 @@
# write the argument to the synthesizer, and return its response if any
proc tts_ping {query} {
global tts
- set status [exec /usr/lib/emacs/common/emacspeak/ping-apollo "$query" $tts(port) ]
+ set status [exec /usr/lib/emacspeak-ss/ping-apollo "$query" $tts(port) ]
return $status
}

+ 20
- 0
app-accessibility/emacspeak-ss/metadata.xml View File

@@ -0,0 +1,20 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>accessibility</herd>
<maintainer>
<email>williamh@gentoo.org</email>
</maintainer>
<longdescription lang="en">
Emacspeak speech servers for DoubleTalk PC and AT,
Braille 'n Speak, Type 'n Speak, Braille Lite from Blazie,
Accent SA, Apollo 2, JUNO, and JUNO-sp from Dolphin,
Spanish ciber 232 (+plus), Spanish PC Hablado notebook.
</longdescription>
<longdescription lang="ja">
DoubleTalkPC and ATとBraille 'n SpeakとType 'n SpeakとBlazieから
Braille LiteとAccent SAとApollo SAとApollo 2とDolphinからJUNO
and JUNO-spとSpanish ciber 232 (+plus)とSpanish PC Hablado
notebookのEmacspeakスピーチサーバーです。
</longdescription>
</pkgmetadata>

+ 4
- 0
app-accessibility/emacspeak/Manifest View File

@@ -0,0 +1,4 @@
DIST emacspeak-30.0-patches.tar.bz2 1609 RMD160 79b4395ee0b74adbdef74f159c7418e4e7ecea26 SHA1 48defa1d34ad9d257fff50c28bd131ad29ebd5e0 SHA256 771c894533f60a2d4fe352255c7d50a2b411fd5f47635d83c95898d41eab3a14
DIST emacspeak-30.0.tar.bz2 1662093 RMD160 b43d09e979081ef40e6b2c69fc7a9e7d01050443 SHA1 b8bafa3898a003dc1b0f9a8bec6dfa50c213f327 SHA256 1b7d28beaf8cd5b5b5a4d63e813896b51e907dd125e992fbfc85df05feb03e3c
DIST emacspeak-31.0.tar.bz2 1668085 RMD160 2ae899d82c66db30a19d9252a724133c89cf53a2 SHA1 3717265c427ac045f54c96c3cc72816cefb99735 SHA256 2b759ced3fa509ae8773c832f01b1000ea0b726c3fbe40ac1e72ad3f603049af
DIST emacspeak-33.0.tar.bz2 6996664 RMD160 cc28ba8329e4060020777e3a305b4c2affe887d2 SHA1 7380f8ecdc53ae6f9183f492335b0229cb639dd1 SHA256 27810e45d29942bf4af23178db6a8947b5f38162445a5b99e6fa9c2eca3f0e9c

+ 40
- 0
app-accessibility/emacspeak/emacspeak-30.0.ebuild View File

@@ -0,0 +1,40 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/emacspeak/emacspeak-30.0.ebuild,v 1.5 2009/11/01 18:46:55 eva Exp $

EAPI="2"

inherit eutils

DESCRIPTION="the emacspeak audio desktop"
HOMEPAGE="http://emacspeak.sourceforge.net/"
SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.bz2
mirror://gentoo/${P}-patches.tar.bz2"
LICENSE="BSD GPL-2"
SLOT="0"
KEYWORDS="ppc x86"
IUSE=""

DEPEND=">=virtual/emacs-22"
RDEPEND="${DEPEND}
>=dev-tcltk/tclx-8.4"

src_prepare() {
EPATCH_SUFFIX="patch" \
epatch
}

src_configure() {
make config || die
}

src_compile() {
make emacspeak || die
}

src_install() {
make prefix="${D}"/usr install || die
dodoc README etc/NEWS* etc/FAQ etc/COPYRIGHT
dohtml -r install-guide user-guide
sed -i -e "s:/.*image/::" "${D}"/usr/bin/emacspeak
}

+ 43
- 0
app-accessibility/emacspeak/emacspeak-31.0.ebuild View File

@@ -0,0 +1,43 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/emacspeak/emacspeak-31.0.ebuild,v 1.1 2009/12/03 04:59:51 williamh Exp $

EAPI="2"

inherit eutils

DESCRIPTION="the emacspeak audio desktop"
HOMEPAGE="http://emacspeak.sourceforge.net/"
SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.bz2"
LICENSE="BSD GPL-2"
SLOT="0"
KEYWORDS="~ppc ~x86"
IUSE="+espeak"

DEPEND=">=virtual/emacs-22
espeak? ( app-accessibility/espeak )"

RDEPEND="${DEPEND}
>=dev-tcltk/tclx-8.4"

src_configure() {
make config || die
}

src_compile() {
make emacspeak || die
if use espeak; then
cd servers/linux-espeak
make TCL_VERSION=8.5 || die
fi
}

src_install() {
make DESTDIR="${D}" install || die
dodoc README etc/NEWS* etc/FAQ etc/COPYRIGHT
dohtml -r install-guide user-guide
if use espeak; then
cd servers/linux-espeak
make DESTDIR="${D}" install
fi
}

+ 48
- 0
app-accessibility/emacspeak/emacspeak-33.0.ebuild View File

@@ -0,0 +1,48 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/emacspeak/emacspeak-33.0.ebuild,v 1.2 2010/12/03 18:35:56 williamh Exp $

EAPI="2"

inherit eutils

DESCRIPTION="the emacspeak audio desktop"
HOMEPAGE="http://emacspeak.sourceforge.net/"
SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.bz2"
LICENSE="BSD GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="+espeak"

DEPEND=">=virtual/emacs-22
espeak? ( app-accessibility/espeak )"

RDEPEND="${DEPEND}
>=dev-tcltk/tclx-8.4"

src_prepare() {
epatch "${FILESDIR}"/${P}-greader-garbage.patch
epatch "${FILESDIR}"/${P}-respect-ldflags.patch
}

src_configure() {
make config || die
}

src_compile() {
make emacspeak || die
if use espeak; then
cd servers/linux-espeak
make TCL_VERSION=8.5 || die
fi
}

src_install() {
make DESTDIR="${D}" install || die
if use espeak; then
cd servers/linux-espeak
make DESTDIR="${D}" install || die "espeak server instalation failed"
fi
dodoc README etc/NEWS* etc/FAQ etc/COPYRIGHT
dohtml -r install-guide user-guide
}

+ 55
- 0
app-accessibility/emacspeak/emacspeak-9999.ebuild View File

@@ -0,0 +1,55 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/emacspeak/emacspeak-9999.ebuild,v 1.5 2010/12/03 18:35:56 williamh Exp $

EAPI="2"

inherit eutils

if [[ ${PV} == "9999" ]] ; then
ESVN_REPO_URI="http://${PN}.googlecode.com/svn/trunk"
inherit subversion
KEYWORDS=""
else
SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.bz2"
KEYWORDS="~amd64 ~ppc ~x86"
fi

DESCRIPTION="the emacspeak audio desktop"
HOMEPAGE="http://emacspeak.sourceforge.net/"
LICENSE="BSD GPL-2"
SLOT="0"
IUSE="+espeak"

DEPEND=">=virtual/emacs-22
espeak? ( app-accessibility/espeak )"

RDEPEND="${DEPEND}
>=dev-tcltk/tclx-8.4"

src_prepare() {
# Allow user patches to be applied without modifying the ebuild
epatch_user
}

src_configure() {
make config || die
}

src_compile() {
make emacspeak || die
if use espeak; then
cd servers/linux-espeak
make TCL_VERSION=8.5 || die
fi
}

src_install() {
make DESTDIR="${D}" install || die
dodoc README etc/NEWS* etc/FAQ etc/COPYRIGHT
dohtml -r install-guide user-guide
if use espeak; then
cd servers/linux-espeak
make DESTDIR="${D}" install
fi
}

+ 11
- 0
app-accessibility/emacspeak/files/emacspeak-33.0-greader-garbage.patch View File

@@ -0,0 +1,11 @@
--- emacspeak-33.0-orig/lisp/g-client/greader.el
+++ emacspeak-33.0/lisp/g-client/greader.el
@@ -704,7 +704,7 @@
(defvar greader-contents-rest-url
"http://www.google.com/reader/api/0/stream/items/contents"
- "REST endpoint for getting content.")e
+ "REST endpoint for getting content.")
(defun greader-search-results (query)
"Return GReader search results."

+ 57
- 0
app-accessibility/emacspeak/files/emacspeak-33.0-respect-ldflags.patch View File

@@ -0,0 +1,57 @@
From aa02a6b3aed32612ca1c2c69fc9d0234efeeef0e Mon Sep 17 00:00:00 2001
From: William Hubbs <w.d.hubbs@gmail.com>
Date: Wed, 1 Dec 2010 17:41:35 -0600
Subject: [PATCH] server makefiles should respect LDFLAGS

---
servers/linux-espeak/Makefile | 2 +-
servers/linux-outloud/Makefile | 4 ++--
servers/software-dtk/Makefile | 2 +-
3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/servers/linux-espeak/Makefile b/servers/linux-espeak/Makefile
index 2fd8f66..d247b04 100644
--- a/servers/linux-espeak/Makefile
+++ b/servers/linux-espeak/Makefile
@@ -15,7 +15,7 @@ TTS=tclespeak.so
all: $(TTS)
$(TTS): tclespeak.o
- $(CXX) -shared -o $@ $< $(LIBS)
+ $(CXX) $(LDFLAGS) -shared -o $@ $< $(LIBS)
clean:
rm -f *.so *.o
diff --git a/servers/linux-outloud/Makefile b/servers/linux-outloud/Makefile
index 0e5a061..c6915a8 100644
--- a/servers/linux-outloud/Makefile
+++ b/servers/linux-outloud/Makefile
@@ -15,10 +15,10 @@ LIBS= -ltcl$(TCL_VERSION) -lasound -ldl
all: atcleci.so
atcleci.so: langswitch.o atcleci.o
- $(CXX) -m32 -shared -o $@ langswitch.o atcleci.o $(LIBS)
+ $(CXX) $(LDFLAGS) -m32 -shared -o $@ langswitch.o atcleci.o $(LIBS)
alsaparams: alsaparams.o
- $(CC) -o $@ alsaparams.o -lasound
+ $(CC) $(LDFLAGS) -o $@ alsaparams.o -lasound
clean:
rm -f *.so *.o
diff --git a/servers/software-dtk/Makefile b/servers/software-dtk/Makefile
index 383592e..1b623bd 100644
--- a/servers/software-dtk/Makefile
+++ b/servers/software-dtk/Makefile
@@ -11,7 +11,7 @@ SERVER_DIR=/usr/share/emacs/site-lisp/emacspeak/servers/software-dtk
FILES=tcldtk.c tcldtk.so tcldtk.o Makefile
tcldtk.so: tcldtk.o
- $(CC) -shared -o $@ $< $(LIBS)
+ $(CC) $(LDFLAGS) -shared -o $@ $< $(LIBS)
dist: software-dtk.tar.gz
--
1.7.2.2


+ 20
- 0
app-accessibility/emacspeak/metadata.xml View File

@@ -0,0 +1,20 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>accessibility</herd>
<herd>emacs</herd>
<maintainer>
<email>williamh@gentoo.org</email>
</maintainer>
<longdescription lang="en">
Emacspeak is a speech interface that allows visually impaired
users to interact independently and efficiently with the computer.
</longdescription>
<longdescription lang="ja">
Emacspeakで視覚障害者が単独と手際良くでコンピュータを
使うことが出来る。
</longdescription>
<use>
<flag name = 'espeak'>Adds support for the espeak tts engine</flag>
</use>
</pkgmetadata>

+ 1
- 0
app-accessibility/epos/Manifest View File

@@ -0,0 +1 @@
DIST epos-2.5.37.tar.gz 976240 RMD160 d44ba2a7235e6cc26f61a9bf36ada27539813af4 SHA1 de99a63f6fdf2692497b0da38da14a09bbbf9bd7 SHA256 7b6e835d4db4f64cfdcf3359d84b6b0ed02e8fb89851aed7615768f7d07c8607

+ 43
- 0
app-accessibility/epos/epos-2.5.37-r1.ebuild View File

@@ -0,0 +1,43 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/epos/epos-2.5.37-r1.ebuild,v 1.14 2010/05/06 11:28:20 ssuominen Exp $

inherit eutils autotools

DESCRIPTION="language independent text-to-speech system"
HOMEPAGE="http://epos.ure.cas.cz/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 x86"
IUSE=""

DEPEND=">=app-text/sgmltools-lite-3.0.3-r9"
RDEPEND=""

src_unpack() {
unpack ${A}
cd "${S}"

epatch "${FILESDIR}"/${P}-gcc43.patch \
"${FILESDIR}"/${P}-gcc45.patch

sed -i -e "s/CCC/#CCC/" configure.ac || die

eautoreconf
}

src_compile() {
econf --enable-charsets --disable-portaudio
emake || die
}

src_install() {
emake DESTDIR="${D}" install || die
mv "${D}/usr/bin/say" "${D}/usr/bin/epos_say"

doinitd "${FILESDIR}/eposd"

dodoc WELCOME THANKS Changes "${FILESDIR}/README.gentoo"
}

+ 2
- 0
app-accessibility/epos/files/README.gentoo View File

@@ -0,0 +1,2 @@
Due to /usr/bin/say conflicting with the speech-dispatcher ebuild, it has
beenn moved to /usr/bin/epos_say.

+ 23
- 0
app-accessibility/epos/files/epos-2.5.37-gcc43.patch View File

@@ -0,0 +1,23 @@
--- epos-2.5.37.orig/src/nnet/neural.cc
+++ epos-2.5.37/src/nnet/neural.cc
@@ -38,7 +38,7 @@
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
#include <time.h>
/*
--- epos-2.5.37.orig/arch/win/service/install.cpp
+++ epos-2.5.37/arch/win/service/install.cpp
@@ -23,7 +23,7 @@
#include <winsvc.h>
#include "service.h"
#include <stdio.h> //sprintf & fopen
-#include <iostream.h>
+#include <iostream>
#include "Shlwapi.h"
SC_HANDLE scm;


+ 15
- 0
app-accessibility/epos/files/epos-2.5.37-gcc45.patch View File

@@ -0,0 +1,15 @@
Fixing build with gcc 4.5

http://bugs.gentoo.org/show_bug.cgi?id=318585

--- src/nnet/neural_parse.yy
+++ src/nnet/neural_parse.yy
@@ -255,7 +255,7 @@
int yyerror (char *s)
{
- shriek (812, fmt ("BISON:yyerror:bison_nnet parser: bison_row %i (not counting empty rows) '%s' is erroneous. %s\n", row_num, bison_row_buf, s));
+ shriek (812, fmt ("BISON:yyerror:bison_nnet parser: bison_row %i (not counting empty rows) '%s' is erroneous. %s\n", row_num, bison_row_buf.c_str(), s));
return -1;
}

+ 21
- 0
app-accessibility/epos/files/eposd View File

@@ -0,0 +1,21 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/epos/files/eposd,v 1.3 2009/11/01 18:48:32 eva Exp $

depend() {
use alsasound esound
}

start() {
ebegin "Starting eposd"
start-stop-daemon --start --quiet --background --make-pidfile --pidfile /var/run/eposd.pid \
--exec /usr/bin/eposd -- -f
eend $?
}

stop() {
ebegin "Stopping eposd"
start-stop-daemon --stop --quiet --pidfile /var/run/eposd.pid
eend $?
}

+ 6
- 0
app-accessibility/epos/metadata.xml View File

@@ -0,0 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">

<pkgmetadata>
<herd>accessibility</herd>
</pkgmetadata>

+ 3
- 0
app-accessibility/espeak/Manifest View File

@@ -0,0 +1,3 @@
DIST espeak-1.42.04-source.zip 1537076 RMD160 1b0747501d81acf48241dc6b0da7fb555a1e3927 SHA1 fe3c0e20b994d2332d8841f61ccc2ae016a836b0 SHA256 3791bb853e9283950d58c02396b3b9b1313adf27c0004bcd1e0cdaf87a683eeb
DIST espeak-1.45.03-source.zip 1894722 RMD160 7acb21e77b72ab8888a3cbf09d2ffa851c78de0b SHA1 0aef9196e7e1347eb470d50b30d6e5323c4ec7eb SHA256 74ed21cb0f4f4a040db93ffa9f4dac463a53281fe47ef4e63605a3ee3e8e0eea
DIST espeak-1.45.04-source.zip 1904805 RMD160 c717da9f7bc2aa6ec62a2f4a20007141ac865e67 SHA1 8b4f6fe720a3a64f0bfdf97abd970e99009603fa SHA256 816825f8aadb8ce9487808d35f698a9ac39b158cf43ad0aa98e8b4d7c5ab9780

+ 79
- 0
app-accessibility/espeak/espeak-1.42.04.ebuild View File

@@ -0,0 +1,79 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/espeak/espeak-1.42.04.ebuild,v 1.8 2010/07/20 18:37:03 jer Exp $

EAPI="2"

inherit eutils

MY_P="${P}-source"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.zip"
DESCRIPTION="Speech synthesizer for English and other languages"
HOMEPAGE="http://espeak.sourceforge.net/"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
IUSE="portaudio pulseaudio"
RDEPEND="portaudio? ( >=media-libs/portaudio-19_pre20071207 )
pulseaudio? ( media-sound/pulseaudio )"
DEPEND="${RDEPEND}
app-arch/unzip"

S=${WORKDIR}/${MY_P}

get_audio() {
local MY_AUDIO

if use portaudio; then
MY_AUDIO=portaudio
elif use pulseaudio; then
MY_AUDIO=pulseaudio
else
MY_AUDIO=none
fi
echo ${MY_AUDIO}
}

pkg_setup() {
if ! use portaudio && ! use pulseaudio; then
ewarn
ewarn Since portaudio and pulseaudio are not in your use flags,
ewarn espeak will only be able to create wav files.
ewarn If this is not what you want, press ctrl-c and put either
ewarn portaudio or pulseaudio in your use flags.
ebeep
epause 10
elif use portaudio && use pulseaudio; then
die "You must choose either portaudio or pulseaudio, but not both."
fi
}

src_prepare() {
cd src
# gentoo uses portaudio 19.
if use portaudio; then
mv -f portaudio19.h portaudio.h
fi
}

src_compile() {
cd src
emake AUDIO="$(get_audio)" CXXFLAGS="${CXXFLAGS}" all || die "Compilation failed"

einfo "Fixing byte order of phoneme data files"
cd "${S}/platforms/big_endian"
make
./espeak-phoneme-data "${S}/espeak-data"
cp -f phondata phonindex phontab "${S}/espeak-data"
}

src_install() {
cd src
make DESTDIR="${D}" LIBDIR="/usr/$(get_libdir)" AUDIO="$(get_audio)" install || die "Installation failed"

cd ..
insinto /usr/share/espeak-data
doins -r dictsource
dodoc ChangeLog ReadMe
dohtml -r docs/*
}

+ 72
- 0
app-accessibility/espeak/espeak-1.45.03.ebuild View File

@@ -0,0 +1,72 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-accessibility/espeak/espeak-1.45.03.ebuild,v 1.1 2011/03/22 17:10:56 williamh Exp $

EAPI="4"